;==========================================================================================
; Description:      Brain Pain - Brain Age Test
; Author(s):        MrBond007 (Baki G)
;					Credits also goes to the authors of Array.au3
;
;					Remember if you like This game and AutoIt Donate to the AutoIt Project:
;					http://www.autoitscript.com/donate.php
;==========================================================================================

#include <Bass.au3>
#NoTrayIcon

Opt("GUIOnEventMode", 1)
Opt("GUICloseOnESC", 0)

If $cmdline[0] > 0 Then
	Switch $cmdline[1]
		Case 'English'
			_getLanguage($objLang, "English")
			IniWrite($languagePath, 'Setting', 'Language', 'English')
		Case 'German'
			_getLanguage($objLang, "German")
			IniWrite($languagePath, 'Setting', 'Language', 'German')
	EndSwitch
Else
	_getLanguage($objLang, "English")
	IniWrite($languagePath, 'Setting', 'Language', 'English')
EndIf

If WinExists(_ObjDictGetValue($objLang, 'GameName')) Then Exit
Local $bassdll, $Init[1]
Local $PkA[26], $Alfa[26], $a = 0, $add = 0, $amm = "00"
$Hui = GUICreate("Brain Pain", 500, 390, -1, -1, BitOR($WS_POPUP, $WS_BORDER))
GUISetBkColor(0xFFFFFF)

$Gra1 = GUICtrlCreateGraphic(0, 45, 500, 1)
GUICtrlSetBkColor(-1, 0x000000)
$Gra2 = GUICtrlCreateGraphic(410, 5, 85, 35)
GUICtrlSetColor(-1, 0x4A66FA)
$Time = GUICtrlCreateLabel("00:00", 420, 7, 65, 25, $SS_CENTER)
GUICtrlSetFont(-1, 20)
GUICtrlSetColor(-1, 0x4A66FA)
GUISetState()

_PrePare(200, 135, 0x4A66FA)

GUISetOnEvent(-3, "Close")

$Label = GUICtrlCreateLabel(_ObjDictGetValue($objLang, 'Game31_1'), 10, 7, 100, 30)
GUICtrlSetFont(-1, 20)
GUICtrlSetColor(-1, 0x4A66FA)
$Image = GUICtrlCreatePic($PicPathAlfa & "alfa1.jpg", 120, 0, 45, 45)
GUICtrlSetState(-1, $GUI_DISABLE)

_CreateAlfa()

_PlaySong()
AdlibEnable("_Timer", 1000)
_PlayTime()

While 1
	Sleep(100)
WEnd

Func _Timer()
	$add += 1
	If $add < 10 Then
		$add = "0" & $add
	ElseIf $add > 59 Then
		$add = "00"
		$amm += 1
		If $amm < 10 Then
			$amm = "0" & $amm
		ElseIf $amm = 99 Then
			AdlibDisable()
			_Result()
		EndIf
	EndIf
	ControlSetText($Hui, "", $Time, $amm & ":" & $add)
EndFunc

Func _Define()
	Global $PkA[26], $Alfa[26]
	For $i = 0 To 25
		$PkA[$i] = $i + 1
		$Alfa[$i] = $i + 1
	Next
EndFunc

Func _CreateAlfa()
	_Define()
	Global $Array[54] = ["10,60", "60,60", "115,60", "170,60", "225,60", "280,60", "335,60", _
			"390,60", "445,60", "10,115", "60,115", "115,115", "170,115", "225,115", _
			"280,115", "335,115", "390,115", "445,115", "10,170", "60,170", "115,170", _
			"170,170", "225,170", "280,170", "335,170", "390,170", "445,170", "10,225", _
			"60,225", "115,225", "170,225", "225,225", "280,225", "335,225", "390,225", _
			"445,225", "10,280", "60,280", "115,280", "170,280", "225,280", "280,280", _
			"335,280", "390,280", "445,280", "10,335", "60,335", "115,335", "170,335", _
			"225,335", "280,335", "335,335", "390,335", "445,335"]
	For $i = 0 To UBound($PkA) - 1
		$Ran_D = Random(0, UBound($Array) - 1, 1)
		$Split = StringSplit($Array[$Ran_D], ",")
		$PkA[$i] = GUICtrlCreatePic($PicPathAlfa & "alfa" & $Alfa[$i] & ".jpg", $Split[1], $Split[2], 45, 45)
		GUICtrlSetCursor($PkA[$i], 0)
		_ArrayDelete($Array, $Ran_D)
	Next
EndFunc

Func _PlayTime()
	For $i = 0 To UBound($PkA) - 1
		GUICtrlSetOnEvent($PkA[$i], "")
	Next
	If $a = 26 Then _Result()
	GUICtrlSetImage($Image, $PicPathAlfa & "alfa" & $Alfa[$a] & ".jpg")
	GUICtrlSetOnEvent($PkA[$a], "_PlayTime")
	$a += 1
EndFunc

Func _Result()
	For $i = 0 To 25
		GUICtrlDelete($PkA[$i])
	Next
	GUICtrlDelete($Gra1)
	GUICtrlDelete($Gra2)
	GUICtrlDelete($Time)
	GUICtrlDelete($Label)
	GUICtrlDelete($Image)
	$Label = GUICtrlCreateLabel(_ObjDictGetValue($objLang, 'Game31_5'), 50, 185, 250, 35)
	GUICtrlSetFont(-1, 20, 900)
	GUICtrlSetColor(-1, 0x000000)
	$Label2 = GUICtrlCreateLabel("", 300, 125, 160, 150)
	GUICtrlSetFont(-1, 100, 900)
	GUICtrlSetColor(-1, 0x000000)
	AdlibDisable()
	For $i = 1 To 80
		$Ran_E = Random(10, 99, 1)
		ControlSetText($Hui, "", $Label2, $Ran_E)
		Sleep(35)
	Next
	If $amm > 0 Then $amm = $amm * 60
	$Calc = $amm + $add
	Select
		Case $Calc < 42
			$Calc = 20
		Case $Calc >= 42 And $Calc <= 50
			$val1 = $Calc / 20
			$val2 = ($val1 / 2) / 10
			$Calc = Round(($val1 + $val2) * 10)
		Case $Calc > 50 And $Calc <= 65
			$val1 = $Calc / 20
			$val2 = $val1 / 10
			$Calc = Round(($val1 + $val2) * 10)
		Case $Calc > 65 And $Calc <= 70
			$Calc = Round($Calc / 1.75)
		Case $Calc > 70 And $Calc <= 89
			$Calc = Round($Calc / 1.7)
		Case $Calc > 99
			$Calc = 99
	EndSelect
	ControlSetText($Hui, "", $Label2, $Calc)
	Sleep(2500)
	Close()
EndFunc